¿Puedo ejecutar WSO2 ESB 4.0.3 con Java 7

Cuando configura JAVA_HOME para que apunte a un Java 7 JDK, WSO2 ESB no se inicia, obviamente, esto se debe al bloque en wso2server.sh titulado 'Manejar el problema de SSL con la versión adecuada de JDK'.

Puedo comentar esto y el servidor se iniciará; pero, ¿cuál es el "problema de SSL"? He buscado en varios foros pero no he encontrado respuesta al respecto. Parece que Carbon funciona con JDK6 y superior; ¿Es este el caso?

Gracias.

Respuesta 1

Funciona con Java 7.

El script de inicio no es lo suficientemente inteligente como para buscar JDK 1.6 y superior. Solo está detectando para 1.6. Por lo tanto, puede comentar la verificación de versión si sabe que solo va a usar 7 o superior.

jdk_16=`$JAVA_HOME/bin/java -version 2>&1 | grep 1.6`

if [ "$jdk_16" = "" ]; then
   echo " [ERROR] CARBON is supported only on JDK 1.6 and higher"
   exit 1
fi

Si existe la posibilidad de ejecutar en 1.5 o anterior, podría ser más fácil detectar para estas versiones anteriores que para 1.6 o posteriores.

Respuesta: 2

Estoy luchando con un problema y aún tengo que resolverlo. En Oracle WebLogic OSB tengo un montón de servicios proxy. Digamos que cada uno de ellos debe pasar un parámetro a una cola jms con un identificador único, así que ...

¿Cuál es un equivalente para este código Java en c # DatagramPacket dp = new DatagramPacket (output, output.length, pack.getAddress (), pack.getPort ()); socket.send (dp); where pack - DatagramPacket y socket -...

Estoy tratando de convertir los atributos html en mayúsculas a minúsculas para que mi documento cumpla con los estándares de cumplimiento XHTML 1.0 ADA. Pero no puedo obtener la salida deseada. Debajo está el código ...

Estoy creando un archivo jar ejecutable para mi programa en java. El programa usa jtds.1.2.jar y javacsv-2.0.jar. ¿Es posible incluir los archivos jar externos cuando creo mi archivo jar ejecutable? ...